Module | Denumerable
In: | lib/core/facets/denumerable.rb

# Denumerable

Classes which include Denumerable will get versions of map, select, and so on, which return a Denumerator, so that they work horizontally without creating intermediate arrays.

### Methods

collect find_all map reject select skip take

### Public Instance methods

collect()

Alias for map

find_all()

Alias for select

map() {|*input| ...}
reject() {|*input| ...}
select() {|*input| ...}
skip(n)

Skip the first n items in the list

take(n)

Limit to the first n items in the list

[Validate]